; MatLsl==========Normalised logical shift left.
; C Function prototype: int MatLsl(int iValue, int iShift);
;iValue:{0-0x0fffffff}
;iShift:{1-31}
; Description of Function: 
;       Shifts iValue left by iShift bits and normalises.
;       Returns iValue shifted and normalised.
; Robustness:   Only 8 lsb of iShift are used.
; Side effects: None known.

#include        <ADuC702x.IAR.equ>

                RSEG CODE
                MODULE MatLsl
                PUBLIC MatLsl
                CODE32

MatLsl:
        mov     r0,r0,LSL r1
        and     r0,r0,#0x0fffffff
        bx      lr


                 ENDMOD MatLsl 

                 END
        
